Bug 879990 - Anaconda does not use repo trees from kickstart file
Summary: Anaconda does not use repo trees from kickstart file
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-25 22:26 UTC by A.J. Werkman
Modified: 2015-06-29 11:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 11:42:18 UTC
Type: Bug


Attachments (Terms of Use)
Requested logs (67.23 KB, application/gzip)
2012-11-26 19:12 UTC, A.J. Werkman
no flags Details

Description A.J. Werkman 2012-11-25 22:26:01 UTC
Description of problem:
Anaconda does open installation trees that are defined in the kickstart file. Packages from this trees can not be installed.

Version-Release number of selected component (if applicable):
18-Beta-RC1

How reproducible:
Every time

Steps to Reproduce:
1. Create a normal installation tree on your network with the Fedora packages.
2. Create a second installation tree, that has packages, not available in the first tree.
3. Make a kickstart file that has the first tree pointed at by the line 'url --url=<url>', and the second tree by 'repo --name "Name" --baseurl=<url>'.
4. Make sure that in the Packages-section of the kickstart file there is a packages only avalable from the second tree.
5. Start the kickstart installation.
  
Actual results:
Anaconda reports that it can't find the packages from the second tree.

Expected results:
Anaconda should use the package tree pointed to by the repo statement and install the requested packages.

Additional info:
It looks to me that anconda is not reading the repo lines from the kickstart file. In the log-files there is no reference to the url from the second tree. So also no error referring to this tree is logged.

Comment 1 Chris Lumens 2012-11-26 15:00:24 UTC
Please attach /tmp/packaging.log and /tmp/anaconda.log to this bug report.  Thanks.

Comment 2 A.J. Werkman 2012-11-26 19:12:38 UTC
Created attachment 652203 [details]
Requested logs

I did some more testing and found, that kickstart also does not use the network configuration from the kickstart file. In my kickstart file I defined a static addressing for the network interface. Instead during installation and on the new installed system network is configured over DHCP.
In a network without DHCP this installation fails because there is no network configured.

Comment 3 Radek Vykydal 2012-11-27 13:19:24 UTC
Kickstart network configuration is not applied because of missing --device option.
Perhaps ksdevice boot option would be used (had it been set). The logic of default --device value we used to have in loader was not implemented in dracut.

Comment 4 Fedora End Of Life 2013-12-21 09:30:22 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-05-29 08:49:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 11:42:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.